RPA Express 2.1.0 is released!

@o_islam_elba1a you can download the installer from https://www.workfusion.com/rpa-express/download/ (the tool is no longer available for download)

When I download the Installer, This screen appearsRPA

Are you sure you are running the correct installer?

The current build is 2.1.0.781

You must have launched the installer for the previous version.

No, I have downloaded the latest Installer from the web site a “https://www.workfusion.com/rpa-express/download/” Then open the Installer and this window appears

@o_islam_elba1a I just tested it and it is the correct version.

Could you download and run it again, please?

You can see the version of the installer by right-clicking on it - Properties - Details.

If the result is the same, please zip the installer file and share here, we’ll have a look.

I downloaded again and it is the same ,I can’t upload the zip file because the size exceed the allowable limit “10 MB”

@o_islam_elba1a could you check the version of the installer file: right-click on it - Properties - Details?

@o_islam_elba1a did you run the installer file (18MB) that is downloaded automatically from the download page?

Yes, I run the one downloaded automatically

I just rechecked again - the downloaded file is correct.

The file you are running is for the previous version, and it is not available for download any more.

Delete all RPAExpressInstaller files you ever downloaded previously, download the new one and run it. It should update to version 2.1.0.

@o_islam_elba1a did you manage to update?

Hello!
I am not able to run MCB project in Stupid from new RPA Express 2.1 while old Studio works fine.

12:05:03 [ERROR] org.webharvest.runtime.scripting.ScriptEngineConfiguration.builder()Lorg/webharvest/runtime/scripting/ScriptEngineConfiguration$Builder; java.lang.NoSuchMethodError: org.webharvest.runtime.scripting.ScriptEngineConfiguration.builder()Lorg/webharvest/runtime/scripting/ScriptEngineConfiguration$Builder; at com.freedomoss.crowdcontrol.webharvest.executor.DefaultScriptEngineConfiguration.(DefaultScriptEngineConfiguration.java:13) at com.workfusion.studio.webharvest.ScraperBuilder.build(ScraperBuilder.java:44) at com.workfusion.studio.launch.WebHarvestProcessFactory.newProcess(WebHarvestProcessFactory.java:35) at com.workfusion.studio.launch.WebHarvestProcessFactory.newProcess(WebHarvestProcessFactory.java:48) at com.workfusion.studio.launch.WebHarvestMainLauncher.launch(WebHarvestMainLauncher.java:91) at com.workfusion.studio.launch.WebHarvestMainLauncher.main(WebHarvestMainLauncher.java:180)

Also after upgrade I had problems with creating new MCBs. It did not work after upgrade also. I had to delete workspace metadata and reimport projects to make creating new MCBs work again.

We have released a patch build 2.1.1.
The build contains the fix to the bug with custom actions execution on Control Tower

Read the full release notes here: https://kb.workfusion.com/display/RPAe/RPA+Express+2.1.1

Hi, after removing old RPAx and installing new one 2.1.1, I have faced with issue with within Studio:

[ERROR] Failed to read candidate component class: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is org.springframework.core.NestedIOException: ASM ClassReader failed to parse class file - probably due to a new Java class file version that isn’t supported yet: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is java.lang.IllegalArgumentException
org.springframework.beans.factory.BeanDefinitionStoreException: Failed to read candidate component class: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is org.springframework.core.NestedIOException: ASM ClassReader failed to parse class file - probably due to a new Java class file version that isn’t supported yet: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is java.lang.IllegalArgumentException
at org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider.findCandidateComponents(ClassPathScanningCandidateComponentProvider.java:290)

Within “.m2” directory I have files and directoris named after version 8.4, but no file/directory named after 9.x.
Is it a known issue?

I cannot run any Bot Task in Studio after it. Even if try to install older version of RPAx it returns now same error in Studio.

Any help will be appreciated.

are using bot task bundles? in this case you should have compatible archetypes - 9.1.x for RPA Express 2.1.0 and higher.

No, just bot task

Also, where to find those compatible archetypes?

@dmytro_osadchyy in this case could you share the bot task you are trying to execute and screenshots of the launch configuration (you can send ti via a personal message)?
Also, what version of RPA Express did you use before updating to 2.1.1?